class Fbank(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  compute_STFT : __torch__.speechbrain.processing.features.STFT
  compute_fbanks : __torch__.speechbrain.processing.features.Filterbank
  compute_deltas : __torch__.speechbrain.processing.features.Deltas
  context_window : __torch__.speechbrain.processing.features.ContextWindow
  def forward(self: __torch__.speechbrain.lobes.features.Fbank,
    x: Tensor) -> Tensor:
    compute_fbanks = self.compute_fbanks
    compute_STFT = self.compute_STFT
    _0 = torch.pow((compute_STFT).forward(x, ), 2)
    spectr = torch.sum(_0, [-1])
    spectrogram = torch.pow(spectr, 1)
    _1 = (compute_fbanks).forward(spectrogram, )
    return _1
